# Installation

***

## 1 - Installation and Requirements 📥

{% hint style="info" %}
Below are some important types and installation contents.
{% endhint %}

* Do not change the name of the script
* **You will also need** [*<mark style="background-color:orange;">**ox\_lib**</mark>*](https://github.com/overextended/ox_lib/) **and** [*<mark style="background-color:orange;">**ox-target**</mark>*](https://github.com/overextended/ox_target) ***or*** [*<mark style="background-color:orange;">**qb-target**</mark>*](https://github.com/qbcore-framework/qb-target) **scripts!**

***

## 2 - SQL File setup 💾

{% hint style="info" %}
You need to read the SQL Files. If you cannot access the files, the queries are below.
{% endhint %}

```sql
CREATE TABLE IF NOT EXISTS `wais_studio` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `studio` varchar(50) DEFAULT NULL,
  `files` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;
```

***

## 3 - Payment ID Integration ♨️

<mark style="color:yellow;">**Payment id must be integrated to use the script. Here are some things to pay attention to:**</mark>

* **The products in the payment id you enter must definitely have the studio script you purchased.**
* **Do not share the payment id with anyone and do not give it to anyone.**
* **If you can't find your Payment ID, check your purchase email address or payment receipt.**

**Follow the path below to enter the Payment ID:**

* **First we need to find and open the&#x20;***<mark style="color:yellow;">**Config\_sv.lua**</mark>***&#x20;file for this process. You can find the file here:&#x20;**<mark style="color:yellow;">**wais-studio/**</mark>
* Find the following variable in the file you opened and replace the “tbx-payment-id” content with the payment id address of the Studio script you purchased.

  <pre class="language-lua"><code class="lang-lua">ConfigSv.TebexPaymentId = "tbx-payment-id"

  -- ⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓
  -- ENTER THE PAYMENTID YOU COPIED
  -- ⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓⇓

  <strong>ConfigSv.TebexPaymentId = "tbx-12345678901234-567890"
  </strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-studio/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
